on startMovie
  global gMovieNum, gWhichFrame, gTracker1, gNavHiliteSprite, gRadioNormal, gArrowClicked, gButtonNormal, gButtonHilite
  set gMovieNum to 3
  set gWhichFrame to "Intro"
  doNumberSwap()
  set gTracker1 to pointerFactory(mnew, 3)
  set gNavHiliteSprite to 23
  set the immediate of sprite gNavHiliteSprite to 1
  charButtonInit()
  navButtonInit()
  checkHot1Init()
  checkHot2Init()
  LanguageAndPoemInit()
end

on stopMovie
  global gTracker1, gNavHiliteSprite
  gTracker1(mdispose)
  set the immediate of sprite gNavHiliteSprite to 0
  when mouseUp then nothing
  SoundFadeRestore()
  LanguageAndPoemRestore()
end

on goGameQuitter
  pExitGame()
end

on pInitGame
  global knAnimals, gHead, gBody, gBack, gchHeadWord, gchBodyWord, gchBackWord, gchHeadPic, gchBodyPic, gchBackPic
  set knAnimals to 7
  set gchHeadWord to 6
  set gchBodyWord to 7
  set gchBackWord to 8
  set gchHeadPic to 10
  set gchBodyPic to 11
  set gchBackPic to 12
  set gHead to random(knAnimals)
  set gBody to random(knAnimals)
  set gBack to random(knAnimals)
  pDraw(#Head)
  pDraw(#Body)
  pDraw(#Back)
  repeat with ch = 6 to 16
    puppetSprite(ch, 1)
  end repeat
end

on pExitGame
  repeat with ch = 6 to 16
    puppetSprite(ch, 0)
  end repeat
end

on pDraw theBodyPart
  global gHead, gBody, gBack, gchHeadWord, gchBodyWord, gchBackWord, gchHeadPic, gchBodyPic, gchBackPic
  if theBodyPart = #Head then
    set the castNum of sprite gchHeadWord to the number of cast "FirstHeadWord" + gHead - 1
    set the castNum of sprite gchHeadPic to the number of cast "FirstHeadPic" + gHead - 1
  else
    if theBodyPart = #Body then
      set the castNum of sprite gchBodyWord to the number of cast "FirstBodyWord" + gBody - 1
      set the castNum of sprite gchBodyPic to the number of cast "FirstBodyPic" + gBody - 1
    else
      if theBodyPart = #Back then
        set the castNum of sprite gchBackWord to the number of cast "FirstBackWord" + gBack - 1
        set the castNum of sprite gchBackPic to the number of cast "FirstBackPic" + gBack - 1
      end if
    end if
  end if
  updateStage()
end

on pNext theBodyPart
  global knAnimals, gHead, gBody, gBack
  if theBodyPart = #Head then
    set gHead to gHead + 1
    if gHead > knAnimals then
      set gHead to 1
    end if
  else
    if theBodyPart = #Body then
      set gBody to gBody + 1
      if gBody > knAnimals then
        set gBody to 1
      end if
    else
      if theBodyPart = #Back then
        set gBack to gBack + 1
        if gBack > knAnimals then
          set gBack to 1
        end if
      end if
    end if
  end if
  pDraw(theBodyPart)
end

on pPlayFullAnimalSound
  pPlayAnimalSound(#Head)
  pPlayAnimalSound(#Body)
  pPlayAnimalSound(#Back)
end

on pPlayFullAnimalName
  pPlayWordSound(#Head)
  pPlayWordSound(#Body)
  pPlayWordSound(#Back)
end

on pPlayWordSound theBodyPart
  global gHead, gBody, gBack
  if theBodyPart = #Head then
    pPlayMySound(the name of cast (the number of cast "FirstAnimalNameHead" + gHead - 1))
  else
    if theBodyPart = #Body then
      pPlayMySound(the name of cast (the number of cast "FirstAnimalNameBody" + gBody - 1))
    else
      if theBodyPart = #Back then
        pPlayMySound(the name of cast (the number of cast "FirstAnimalNameBack" + gBack - 1))
      end if
    end if
  end if
end

on pPlayAnimalSound theBodyPart
  global gHead, gBody, gBack
  if theBodyPart = #Head then
    pPlayMySound(the name of cast (the number of cast "FirstAnimalSoundHead" + gHead - 1))
  else
    if theBodyPart = #Body then
      pPlayMySound(the name of cast (the number of cast "FirstAnimalSoundBody" + gBody - 1))
    else
      if theBodyPart = #Back then
        pPlayMySound(the name of cast (the number of cast "FirstAnimalSoundBack" + gBack - 1))
      end if
    end if
  end if
end

on GameHiliteInit
  global gHeadArrow, gBodyArrow, gBackArrow
  set gAnimalWord to 4
  set gAnimalSound to 5
  set gHeadArrow to 14
  set gBodyArrow to 15
  set gBackArrow to 16
  set the immediate of sprite gAnimalWord to 1
  set the immediate of sprite gAnimalSound to 1
  set the immediate of sprite gHeadArrow to 1
  set the immediate of sprite gBodyArrow to 1
  set the immediate of sprite gBackArrow to 1
end

on doNextHead
  global gHeadArrow
  if rollOver(gHeadArrow) then
    pNext(#Head)
  end if
  when mouseUp then nothing
end

on doNextBody
  global gBodyArrow
  if rollOver(gBodyArrow) then
    pNext(#Body)
  end if
  when mouseUp then nothing
end

on doNextBack
  global gBackArrow
  if rollOver(gBackArrow) then
    pNext(#Back)
  end if
  when mouseUp then nothing
end

on checkHot1Init
  global gHot1H, gHot1V, gHot1W, gHot1T, gHot2H, gHot2V, gHot2W, gHot2T, gHot3H, gHot3V, gHot3W, gHot3T, gHot4H, gHot4V, gHot4W, gHot4T, gHot5H, gHot5V, gHot5W, gHot5T, gHot6H, gHot6V, gHot6W, gHot6T, gHot7H, gHot7V, gHot7W, gHot7T, gHotChannel1
  set gHotChannel1 to 12
  set the immediate of sprite gHotChannel1 to 1
  set gHot1H to 178
  set gHot1V to 189
  set gHot1W to 94
  set gHot1T to 79
  set gHot2H to 93
  set gHot2V to 184
  set gHot2W to 84
  set gHot2T to 85
  set gHot3H to 154
  set gHot3V to 269
  set gHot3W to 118
  set gHot3T to 113
  set gHot4H to 177
  set gHot4V to 131
  set gHot4W to 91
  set gHot4T to 58
  set gHot5H to 67
  set gHot5V to 271
  set gHot5W to 86
  set gHot5T to 111
  set gHot6H to 87
  set gHot6V to 64
  set gHot6W to 106
  set gHot6T to 66
  set gHot7H to 94
  set gHot7V to 131
  set gHot7W to 80
  set gHot7T to 50
end

on checkHot2Init
  global gHot8H, gHot8V, gHot8W, gHot8T, gHot9H, gHot9V, gHot9W, gHot9T, gHot10H, gHot10V, gHot10W, gHot10T, gHot11H, gHot11V, gHot11W, gHot11T, gHot12H, gHot12V, gHot12W, gHot12T, gHot13H, gHot13V, gHot13W, gHot13T, gHot14H, gHot14V, gHot14W, gHot14T, gHotChannel2
  set gHotChannel2 to 13
  set the immediate of sprite gHotChannel2 to 1
  set gHot8H to 272
  set gHot8V to 225
  set gHot8W to 176
  set gHot8T to 74
  set gHot9H to 449
  set gHot9V to 223
  set gHot9W to 47
  set gHot9T to 75
  set gHot10H to 497
  set gHot10V to 179
  set gHot10W to 70
  set gHot10T to 119
  set gHot11H to 454
  set gHot11V to 65
  set gHot11W to 117
  set gHot11T to 112
  set gHot12H to 271
  set gHot12V to 300
  set gHot12W to 126
  set gHot12T to 85
  set gHot13H to 272
  set gHot13V to 180
  set gHot13W to 223
  set gHot13T to 45
  set gHot14H to 398
  set gHot14V to 299
  set gHot14W to 171
  set gHot14T to 89
end

on checkHot1
  global gHot1H, gHot1V, gHot1W, gHot1T, gHot2H, gHot2V, gHot2W, gHot2T, gHot3H, gHot3V, gHot3W, gHot3T, gHot4H, gHot4V, gHot4W, gHot4T, gHot5H, gHot5V, gHot5W, gHot5T, gHot6H, gHot6V, gHot6W, gHot6T, gHot7H, gHot7V, gHot7W, gHot7T, QTSpriteNum
  set mv to the mouseV
  set mh to the mouseH
  go(string((1 * ((mh > gHot1H) and (mh < (gHot1H + gHot1W)) and ((mv > gHot1V) and (mv < (gHot1V + gHot1T))))) + (2 * ((mh > gHot2H) and (mh < (gHot2H + gHot2W)) and ((mv > gHot2V) and (mv < (gHot2V + gHot2T))))) + (3 * ((mh > gHot3H) and (mh < (gHot3H + gHot3W)) and ((mv > gHot3V) and (mv < (gHot3V + gHot3T))))) + (4 * ((mh > gHot4H) and (mh < (gHot4H + gHot4W)) and ((mv > gHot4V) and (mv < (gHot4V + gHot4T))))) + (5 * ((mh > gHot5H) and (mh < (gHot5H + gHot5W)) and ((mv > gHot5V) and (mv < (gHot5V + gHot5T))))) + (6 * ((mh > gHot6H) and (mh < (gHot6H + gHot6W)) and ((mv > gHot6V) and (mv < (gHot6V + gHot6T))))) + (7 * ((mh > gHot7H) and (mh < (gHot7H + gHot7W)) and ((mv > gHot7V) and (mv < (gHot7V + gHot7T))))) & "Hot"))
  startTimer()
  set the visible of sprite QTSpriteNum to 1
end

on checkHot2
  global gHot8H, gHot8V, gHot8W, gHot8T, gHot9H, gHot9V, gHot9W, gHot9T, gHot10H, gHot10V, gHot10W, gHot10T, gHot11H, gHot11V, gHot11W, gHot11T, gHot12H, gHot12V, gHot12W, gHot12T, gHot13H, gHot13V, gHot13W, gHot13T, gHot14H, gHot14V, gHot14W, gHot14T, QTSpriteNum
  set mv to the mouseV
  set mh to the mouseH
  go(string((8 * ((mh > gHot8H) and (mh < (gHot8H + gHot8W)) and ((mv > gHot8V) and (mv < (gHot8V + gHot8T))))) + (9 * ((mh > gHot9H) and (mh < (gHot9H + gHot9W)) and ((mv > gHot9V) and (mv < (gHot9V + gHot9T))))) + (10 * ((mh > gHot10H) and (mh < (gHot10H + gHot10W)) and ((mv > gHot10V) and (mv < (gHot10V + gHot10T))))) + (11 * ((mh > gHot11H) and (mh < (gHot11H + gHot11W)) and ((mv > gHot11V) and (mv < (gHot11V + gHot11T))))) + (12 * ((mh > gHot12H) and (mh < (gHot12H + gHot12W)) and ((mv > gHot12V) and (mv < (gHot12V + gHot12T))))) + (13 * ((mh > gHot13H) and (mh < (gHot13H + gHot13W)) and ((mv > gHot13V) and (mv < (gHot13V + gHot13T))))) + (14 * ((mh > gHot14H) and (mh < (gHot14H + gHot14W)) and ((mv > gHot14V) and (mv < (gHot14V + gHot14T))))) & "Hot"))
  startTimer()
  set the visible of sprite QTSpriteNum to 1
end

on PoemLineTestE
  global gWhichLine, gPoemChannel
  set mv to the mouseV
  set top to the top of sprite the clickOn
  set part to the height of sprite the clickOn / 4
  StopAllSound()
  if mv < (top + (1 * part)) then
    set gWhichLine to 1
    playQTSequence(5, 172)
  else
    if (mv >= (top + (1 * part))) and (mv < (top + (2 * part))) then
      set gWhichLine to 2
      playQTSequence(172, 300)
    else
      if (mv >= (top + (2 * part))) and (mv < (top + (3 * part))) then
        set gWhichLine to 3
        playQTSequence(300, 440)
      else
        if (mv >= (top + (3 * part))) and (mv < (top + (4 * part))) then
          set gWhichLine to 4
          playQTSequence(440, 573)
        end if
      end if
    end if
  end if
  go("QTwait")
end

on PoemLineTestF
  global gWhichLine, gPoemChannel
  set mv to the mouseV
  set top to the top of sprite the clickOn
  set part to the height of sprite the clickOn / 4
  StopAllSound()
  if mv < (top + (1 * part)) then
    set gWhichLine to 1
    playQTSequence(0, 120)
  else
    if (mv >= (top + (1 * part))) and (mv < (top + (2 * part))) then
      set gWhichLine to 2
      playQTSequence(120, 210)
    else
      if (mv >= (top + (2 * part))) and (mv < (top + (3 * part))) then
        set gWhichLine to 3
        playQTSequence(210, 372)
      else
        if (mv >= (top + (3 * part))) and (mv < (top + (4 * part))) then
          set gWhichLine to 4
          playQTSequence(372, 479)
        end if
      end if
    end if
  end if
  go("QTwait")
end

on PoemLineTestS
  global gWhichLine, gPoemChannel
  set mv to the mouseV
  set top to the top of sprite the clickOn
  set part to the height of sprite the clickOn / 4
  StopAllSound()
  if mv < (top + (1 * part)) then
    set gWhichLine to 1
    playQTSequence(0, 150)
  else
    if (mv >= (top + (1 * part))) and (mv < (top + (2 * part))) then
      set gWhichLine to 2
      playQTSequence(150, 288)
    else
      if (mv >= (top + (2 * part))) and (mv < (top + (3 * part))) then
        set gWhichLine to 3
        playQTSequence(288, 504)
      else
        if (mv >= (top + (3 * part))) and (mv < (top + (4 * part))) then
          set gWhichLine to 4
          playQTSequence(504, 655)
        end if
      end if
    end if
  end if
  go("QTwait")
end

on PoemLineTestJ
  global gWhichLine, gPoemChannel
  set mv to the mouseV
  set top to the top of sprite the clickOn
  set part to the height of sprite the clickOn / 3
  StopAllSound()
  if mv < (top + (1 * part)) then
    set gWhichLine to 1
    playQTSequence(0, 240)
  else
    if (mv >= (top + (1 * part))) and (mv < (top + (2 * part))) then
      set gWhichLine to 2
      playQTSequence(240, 700)
    else
      if (mv >= (top + (2 * part))) and (mv < (top + (3 * part))) then
        set gWhichLine to 3
        playQTSequence(240, 700)
      end if
    end if
  end if
  go("QTwait")
end

on QTHotSwap charName, QTlocH, QTlocV
  global QTSpriteNum, gMovieNum, gWhichLangLet
  set the visible of sprite QTSpriteNum to 1
  put gMovieNum & charName & gWhichLangLet & ".mov"
  set the castNum of sprite QTSpriteNum to the number of cast the name of cast (gMovieNum & charName & gWhichLangLet & ".mov")
  set the locH of sprite QTSpriteNum to QTlocH
  set the locV of sprite QTSpriteNum to QTlocV
end

on QTswap movieName, QTlocH, QTlocV
  global QTSpriteNum, gMovieNum, gWhichLangLet
  set the visible of sprite QTSpriteNum to 1
  set the castNum of sprite QTSpriteNum to the number of cast movieName
  set the locH of sprite QTSpriteNum to QTlocH
  set the locV of sprite QTSpriteNum to QTlocV
end

on writeMe nameChar
  global QTSpriteNum, gWhichLangLet, gMovieNum
  put "global QTspriteNum,gWhichLangLet,gMovieNum"
  put "set the visibility of sprite QTspriteNum = TRUE"
  put "set the castNum of sprite QTspriteNum = the number of cast(gMovieNum putANDhere" && QUOTE & nameChar & QUOTE && "gWhichLangLet putANDhere" && QUOTE & ".mov" & QUOTE & ")"
  put "set the locH of sprite QTspriteNum = " & the locH of sprite QTSpriteNum
  put "set the locV of sprite QTspriteNum = " & the locV of sprite QTSpriteNum
end
